aboutsummaryrefslogtreecommitdiff
path: root/make_install.sh
diff options
context:
space:
mode:
authorEinhard Leichtfuß <alguien@respiranto.de>2018-03-30 22:08:42 +0200
committerEinhard Leichtfuß <alguien@respiranto.de>2018-03-30 22:08:42 +0200
commit2a7eb7221b85af3f2c5141c3918ff1959566f55a (patch)
treefd6725c155ab0e8ef8e6ef7383d1ab2d66ca359c /make_install.sh
parent9d45fe6b329cbae295ed83d90dd20c5fc3e70717 (diff)
Split some functionality off update.sh
Such that it may be used by the to be bettered make_install.sh. In particular, the latter is supposed to work for both non-vcs source and binary packages. Also add a main() method to update.sh.
Diffstat (limited to 'make_install.sh')
-rwxr-xr-xmake_install.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/make_install.sh b/make_install.sh
new file mode 100755
index 0000000..a24837f
--- /dev/null
+++ b/make_install.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ "$#" -lt 1 ]
+then
+ echo "Usage: $0 xy-zw [base_dir]" >&2
+ exit 1
+elif [ "$#" -gt 1 ]
+then
+ cd "$2" || exit 1
+fi
+
+lang=$1
+pkgname=dict-freedict-${lang}
+
+sed "s/%LANG%/${lang}/g" sample.install > ${pkgname}/${pkgname}.install